Bug 46147 - [PATCH] dbus-protocol.h is incompatible with C++11 compilers
Summary: [PATCH] dbus-protocol.h is incompatible with C++11 compilers
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium major
Assignee: Havoc Pennington
QA Contact: John (J5) Palmieri
URL:
Whiteboard:
Keywords:
: 48690 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-15 23:59 UTC by Marc Mutz
Modified: 2012-04-14 15:01 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
git-am'able patch (1.51 KB, patch)
2012-02-15 23:59 UTC, Marc Mutz
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Mutz 2012-02-15 23:59:00 UTC
Created attachment 57131 [details] [review]
git-am'able patch

This issue applies to all branches, and should be fixed in all branches:

From the GIT commit:

    C++11 compilers have a feature called 'user-defined string literals' which
    allow arbitrary string suffixes to have user-defined meaning.

    This makes code that concatenates macros with string literals without
    intervening whitespace illegal under C++11. Fortunately, string literal
    concatenation has allowed intervening whitespace since the dawn of time,
    so the solution is to simply pad with spaces.

Patch for use with git-am attached.
Comment 1 Simon McVittie 2012-02-20 03:43:38 UTC
Fixed in git for 1.4.20 and 1.5.10, thanks. We don't support 1.2.x except with security fixes, and we don't support older versions at all.
Comment 2 Thiago Macieira 2012-04-14 15:01:30 UTC
*** Bug 48690 has been marked as a duplicate of this bug. ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.